body{
    margin: 0;
    padding: 0;
    background-color: gold;
    color: black;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: "Montserrat", sans-serif;
}

.animated-text {
    font-size: 34px;
    font-weight: 600;
    height: 50px; /* hoặc auto nếu bạn thích */
    position: relative;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    margin-left: 50px; 
}

.animated-text span {
    position: relative;
    display: inline-block;
    white-space: nowrap;
    
}
.animated-text span::before{
    content: "Instagram";
    color: #1b5e20;
    
    animation: words 20s infinite;
}

.animated-text span::after{
    content: "";
    position: absolute;
    width: calc(100% + 8px);
    height: 100%;
    background-color: Gold;
    border-left: 2px solid green;
    right: -8px;
    animation: cursor .8s infinite, typing 20s steps(14) infinite;
}


@keyframes cursor {
    to{
        border-left: 2px solid green;
    }
}

@keyframes words {
    0%,20%{
        content: "Bubble tea";
    }
    21%,40%{
        content: "Matcha";
    }
    41%,60%{
        content: "Brown sugar";
    }
    61%,80%{
        content: "Fresh milk";
    }
    81%,100%{
        content: "Tapioca";
    }    
}

@keyframes typing {
    10%,15%,30%,35%,50%,55%,70%,75%,90%,95%{
        width: 0;
    }
    5%,20%,25%,40%,45%,60%,65%,80%,85%{
        width: calc(100% + 8px);
    }
}
@media (max-width: 500px) {
    body {
        padding: 20px;
        height: auto;
    }

    .container {
        flex-direction: column;
        align-items: center;
        gap: 30px;
    }

    img.banner {
        width: 80%;
        align-items: center;
    }

    .animated-text {
        font-size: 24px;
        margin-top: 20px;
        text-align: left;
    }

    img.qr-code {
        width: 100px;
        margin-right: 0;
    }

    .locations {
        font-size: 1em;
    }
}

